Package org.jfree.report.flow

# Interface ReportStructureRoot

All Known Implementing Classes:
  `JFreeReport`

public interface ReportStructureRoot

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.resourceloader.ResourceKey`
`getBaseResource()`
`org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`ReportDataFactory`
`getDataFactory()`
`ReportParameters`
`getInputParameters()`
`Locale`
`getLocale()`
`org.pentaho.reporting.libraries.resourceloader.ResourceManager`
`getResourceManager()`

## Method Details

### getDataFactory

ReportDataFactory getDataFactory()

### getInputParameters

ReportParameters getInputParameters()

### getConfiguration

org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

### getLocale

Locale getLocale()

### getResourceManager

org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager()

### getBaseResource

org.pentaho.reporting.libraries.resourceloader.ResourceKey getBaseResource()